<?php

/* * ********************************************************************
 * Wordpress_Manager Product developed. (Dec 11, 2017)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

namespace ModulesGarden\ProxmoxAddon\App\UI\TaskHistory\Forms;

use ModulesGarden\ProxmoxAddon\App\UI\TaskHistory\Providers\TaskHistoryProvider;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\Fields;

/**
 * Description of CreateForm
 *
 * @author Pawel Kopec <pawelk@modulesgarden.com>
 */
class DeleteForm extends BaseForm implements AdminArea
{

    public function initContent()
    {
        $this->initIds('taskHistoryDeleteForm');
        $this->setFormType('delete');
        $this->setProvider(new TaskHistoryProvider());
        $this->initFields();
    }

    protected function initFields()
    {
        $field = new Fields\Hidden();
        $field->setName('id');
        $field->setId('id');
        $this->addField($field);
        $field = new Fields\Hidden();
        $field->setName('name');
        $field->setId('name');
        $this->addField($field);
        $this->setConfirmMessage('confirmTaskHistoryDelete', ['name' => null]);
        $this->loadDataToForm();
    }

    protected function getDefaultActions()
    {
        return ['delete'];
    }
}
